### Virtual Method

# Gio Application dbus_unregister

#### Declaration

    void
    dbus_unregister (
      GApplication* application,
      GDBusConnection* connection,
      const gchar* object_path
    )

#### Description

Invoked locally during unregistration, if the application is using its D-Bus backend. Use this to undo anything done by the `dbus_register` vfunc. Since: 2.34.

#### Parameters

`connection`

  Type: `GDBusConnection`

  No description available.

  The data is owned by the caller of the method.

`object_path`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.